package models

type PendingCancelAmountRequest struct {
	OpenId string `json:"open_id"`
	Type   int    `json:"type"` //1-商家 2-客户
}

type PendingCancelAmountReply struct {
	Amount string `json:"amount"`
}

type GetGroupBuyPayRequest struct {
	OpenId    string `json:"open_id"`
	PageSize  int    `json:"page_size"`
	PageIndex int    `json:"page_index"`
	//UserType     int    `json:"user_type"`      //1-商家 2-c端客户
	//GroupBuyType int    `json:"group_buy_type"` //1-待核销 2-已核销
}

type GetGroupBuyPayReply struct {
	ActiveName       string `json:"active_name"`        //活动名称
	GroupBuyName     string `json:"group_buy_name"`     //拼团名称
	Amount           string `json:"amount"`             //交易金额
	MerchantAmount   string `json:"merchant_amount"`    //商家分账金额
	ClientAmount     string `json:"client_amount"`      //客户分销金额
	PayTime          string `json:"pay_time"`           //支付时间
	TradeNo          string `json:"trade_no"`           //交易ID
	TotalCancelNum   int    `json:"total_cancel_num"`   //总核销次数
	PendingCancelNum int    `json:"pending_cancel_num"` //待核销次数
	Url              string `json:"url"`                //url

}

type GroupBuyPayCodeRequest struct {
	TradeNo string `json:"trade_no"` //交易ID
}

type GroupBuyPayCodeReply struct {
	Key     string `json:"key"`      //key
	TradeNo string `json:"trade_no"` //交易ID
}

type GroupBuyCancelInfoRequest struct {
	Key     string `json:"key"`      //key
	TradeNo string `json:"trade_no"` //交易ID
}

type GroupBuyCancelInfoReply struct {
	ActiveName      string                  `json:"active_name"`       //活动名称
	GroupBuyName    string                  `json:"group_buy_name"`    //拼团名称
	Amount          string                  `json:"amount"`            //交易金额
	MerchantAmount  string                  `json:"merchant_amount"`   //商家金额
	ClientAmount    string                  `json:"client_amount"`     //客户金额
	PayTime         string                  `json:"pay_time"`          //支付时间
	TradeNo         string                  `json:"trade_no"`          //交易ID
	GroupBuyProject []CancelGroupBuyProject `json:"group_buy_project"` //拼团项目
}

type CancelGroupBuyProject struct {
	ProjectName      string `json:"project_name"`
	TotalCancelNum   int    `json:"total_cancel_num"`   //总核销数量
	PendingCancelNum int    `json:"pending_cancel_num"` //待核销数量
	ID               int64  `json:"id"`
}

type GroupBuyCancelRequest struct {
	Key             string                         `json:"key"`               //key
	TradeNo         string                         `json:"trade_no"`          //交易ID
	GroupBuyProject []PendingCancelGroupBuyProject `json:"group_buy_project"` //拼团项目
	OpenId          string                         `json:"open_id"`           //核销人员
}

type GroupBuyCancelReply struct {
}

type PendingCancelGroupBuyProject struct {
	CancelNum int   `json:"cancel_num"` //数量
	ID        int64 `json:"id"`
}
